ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rebhan, Gilbert" <Gilbert.Reb...@huk-coburg.de>
Subject ant / <javac> with jdk 5
Date Fri, 30 Mar 2007 08:31:59 GMT

Hi,

our deployment env right now =

Win2003 Server, Ant 1.6.5, jdk1.4.2_08

Soon we have to support projects, that
run under / must be compiled for java 5 also

We' ll have a mix of projects for jdk 1.4 
and jdk 5 then.

I'm looking for the most simple solution
to support both java versions, means
if possible avoiding two different workflows ...


Questions =

Is it possible to use Ant 1.6.5 with java 5 and
use <javac target="1.4"> ?
 
Does it work as expected, when running those classes with jre1.4 ?

Is it better to switch to Ant 1.7.0 when running under jdk 5 ?


Regards, Gilbert



---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message